Package opennlp.tools.formats

# Class ConllXPOSSampleStream

java.lang.Object
opennlp.tools.util.FilterObjectStream<String,POSSample>
opennlp.tools.formats.ConllXPOSSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `ObjectStream<POSSample>`

@Internal public class ConllXPOSSampleStream extends FilterObjectStream<String,POSSample>
Parses the data from the CONLL 06 shared task into POS Samples.

More information about the data format can be found here.

Note: Do not use this class, internal use only!

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConllXPOSSampleStream(InputStreamFactory in, Charset charset)`
  Initializes a `ConllXPOSSampleStream`.
  `ConllXPOSSampleStream(ObjectStream<String> lineStream)`
  Initializes a `ConllXPOSSampleStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `POSSample`
  `read()`
  Returns the next `ObjectStream` object.

  ### Methods inherited from class opennlp.tools.util.FilterObjectStream

  `close, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConllXPOSSampleStream

    public ConllXPOSSampleStream(ObjectStream<String> lineStream)
    Initializes a `ConllXPOSSampleStream`.
    Parameters:
      `lineStream` - A `line stream` representing the input.

  - ### ConllXPOSSampleStream

    public ConllXPOSSampleStream(InputStreamFactory in, Charset charset) throws IOException
    Initializes a `ConllXPOSSampleStream`.
    Parameters:
      `in` - The `InputStreamFactory` to use.
      `charset` - The `Charset` to interpret characters with.
    Throws:
      `IOException` - Thrown if IO errors occurred during initialization.

- ## Method Details

  - ### read

    public POSSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.